<?php
/**
 * Head CSS, Script
 *
 * @package Head CSS, Script
 * @subpackage Head CSS, Script
 * @version   1.0.0
 * @author    http://www.contona.com
 * @copyright Copyright (C) 2012-13, www.contona.com
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */
// no direct access
defined('_JEXEC') or die;
?>

<?php 
if (strlen($any_code) > 0) { $doc->addCustomTag($any_code); }
if (strlen($css) > 0) { $doc->addStyleDeclaration($css); }
if (strlen($js) > 0) { $doc->addScriptDeclaration($js); }
if (strlen($favicon) > 0) { $doc->addFavicon($favicon); }
if (strlen($html) > 0) { echo "<div class='head_css_script $sfx'>".$html ."</div>"; }


$style_link = json_decode(json_encode($style_link), True);

if (!empty($style_link)) {
	
	foreach ($style_link as $slink) {
	    $css_links[] = $slink['css_link'];
	}


	for ($i=0;$i<count($css_links);$i++) { 

			if (strlen($css_links[$i]) > 0) { $doc->addStyleSheet($css_links[$i]); }

	 } 
}




$script_link = json_decode(json_encode($script_link), True);

if (!empty($script_link)) {
	foreach ($script_link as $jlink) {
	    $js_links[] = $jlink['js_link'];
	}


	for ($i=0;$i<count($js_links);$i++) { 

			if (strlen($js_links[$i]) > 0) { $doc->addScript($js_links[$i]); }

	 } 
}




?>



